Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.xhtml
Class CellStyleConverter

    java.lang.Object
      writer2latex.xhtml.ConverterHelper
          writer2latex.xhtml.StyleConverterHelper
              writer2latex.xhtml.StyleWithPropertiesConverterHelper
                  writer2latex.xhtml.CellStyleConverter

    public class CellStyleConverter

extends StyleWithPropertiesConverterHelper

This class converts OpenDocument cell styles to CSS2 styles. Cells are formatted using box properties and alignment.

Field Summary

Fields inherited from class writer2latex.xhtml.StyleConverterHelper
`bConvertHard, bConvertStyles, nType, styleMap, styleNames`

Fields inherited from class writer2latex.xhtml.ConverterHelper
`config, converter, ofr`

Constructor Summary
`CellStyleConverter(OfficeReader ofr, Config config, Converter converter, int nType)` Create a new `CellStyleConverter`

Method Summary
`void` | `applyProperties(StyleWithProperties style, CSVList props, boolean bInherit)` Convert formatting properties for a specific Cell style.
`private void` | `cssCell(StyleWithProperties style, CSVList props, boolean bInherit)`
`java.lang.String` | `getDefaultTagName(StyleWithProperties style)` Create default tag name to represent a Cell object
`OfficeStyleFamily` | `getStyles()` Get the family of cell styles

Methods inherited from class writer2latex.xhtml.StyleWithPropertiesConverterHelper
`applyStyle, getClassNamePrefix, getStyleDeclarations`

Methods inherited from class writer2latex.xhtml.StyleConverterHelper
`applyDirection, applyLang, colScale, scale`

Methods inherited from class writer2latex.xhtml.ConverterHelper
`applyStyle, getCellSc, getDrawCv, getFrameSc, getListSc, getMathCv, getPageSc, getParSc, getPresentationSc, getRowSc, getSectionSc, getStyleCv, getTableCv, getTableSc, getTextCv, getTextSc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CellStyleConverter

    public CellStyleConverter(OfficeReader ofr,
                              Config config,
                              Converter converter,
                              int nType)

  Create a new `CellStyleConverter`

  Parameters:
    `ofr` - an `OfficeReader` to read style information from
    `config` - the configuration to use
    `converter` - the main `Converter` class
    `nType` - the type of xhtml to use

Method Detail

### getStyles

    public OfficeStyleFamily getStyles()

  Get the family of cell styles

  Specified by:
    `getStyles` in class `StyleConverterHelper`
  Returns:
    the style family

### getDefaultTagName

    public java.lang.String getDefaultTagName(StyleWithProperties style)

  Create default tag name to represent a Cell object

  Specified by:
    `getDefaultTagName` in class `StyleWithPropertiesConverterHelper`
  Parameters:
    `style` - to use
  Returns:
    the tag name.

### applyProperties

    public void applyProperties(StyleWithProperties style,
                                CSVList props,
                                boolean bInherit)

  Convert formatting properties for a specific Cell style.

  Specified by:
    `applyProperties` in class `StyleWithPropertiesConverterHelper`
  Parameters:
    `style` - the style to convert
    `props` - the `CSVList` object to add information to
    `bInherit` - true if properties should be inherited from parent style(s)

### cssCell

    private void cssCell(StyleWithProperties style,
                         CSVList props,
                         boolean bInherit)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD